Bug 516053 - Edit default yum repo results in traceback - TypeError: GtkEntry.set_text() argument 1 must be string, not None
Edit default yum repo results in traceback - TypeError: GtkEntry.set_text() a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Beta/F12BetaBlocker
  Show dependency treegraph
 
Reported: 2009-08-06 10:46 EDT by Kamil Páral
Modified: 2009-09-07 08:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-19 10:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bug demonstration (5.17 MB, video/ogg)
2009-08-06 10:46 EDT, Kamil Páral
no flags Details
anaconda.png (15.74 KB, image/png)
2009-08-06 10:46 EDT, Kamil Páral
no flags Details
logs.tar.gz (58.44 KB, application/x-gzip)
2009-08-06 10:47 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2009-08-06 10:46:08 EDT
Created attachment 356528 [details]
bug demonstration

Description of problem:
I'm installing Fedora 12 Alpha TC:
http://alt.fedoraproject.org/pub/alt/stage/12-Alpha-TC/Fedora-12-Alpha-x86_64-DVD/
from netinst image in virt-manager (using KVM).

When choosing install source the NFS dialog box causes exceptions.

Version-Release number of selected component (if applicable):
* anaconda-12.7
* virt host - Fedora 11, libvirt-0.6.2-13.fc11.x86_64

How reproducible:
so far always

Steps to Reproduce:
1. Boot from F12 Alpha TC netinst
2. Select NFS install and leave everything blank
3. Click OK, OK on error, Cancel
4. Click Modify repository again
5. exception

Actual results:
Exception

Expected results:
No exception

Additional info:
See attached logs and video. "Save" button under exception does not work, therefore only some logs are available.
Comment 1 Kamil Páral 2009-08-06 10:46:45 EDT
Created attachment 356529 [details]
anaconda.png
Comment 2 Kamil Páral 2009-08-06 10:47:00 EDT
Created attachment 356530 [details]
logs.tar.gz
Comment 3 Chris Lumens 2009-08-06 10:51:15 EDT
The traceback in the anaconda.png is about python-meh, and that's been fixed.  The original traceback is:

anaconda 12.7 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/task_gui.py", line 178, in createDialog
    self.nameEntry.set_text(self.repo.name)
  File "/usr/lib/anaconda/iw/task_gui.py", line 495, in _editRepo
    dialog.createDialog()
TypeError: GtkEntry.set_text() argument 1 must be string, not None
Comment 4 James Laska 2009-08-07 15:52:13 EDT
Reviewed during F-12-Alpha Blocker bug meeting.  Modifying yum repositories during installation will be discouraged for the Alpha in favor of performing any yum repo operations in the post-installation environment.

Ideally, one can perform a NFS installation when booting the boot.iso or DVD with the boot argument: "askmethod"  However, that appears to be inoperable for F-12-Alpha (see bug#515450).  To perform a NFS installation, it is recommended that you install from a PXE server or using the media-less instructions (see http://docs.fedoraproject.org/install-guide/f11/en-US/html/ap-medialess-install.html).

Adjusting the title of this defect to match the failure case.
Comment 5 Chris Lumens 2009-08-19 10:31:03 EDT
This should be fixed in anaconda-12.17.
Comment 6 Kamil Páral 2009-09-07 08:52:09 EDT
Confirmed to be fixed.

Note You need to log in before you can comment on or make changes to this bug.